Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractSetMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractValueMetaData
              org.jboss.beans.metadata.plugins.AbstractTypeMetaData
                  org.jboss.beans.metadata.plugins.AbstractCollectionMetaData
                      org.jboss.beans.metadata.plugins.AbstractSetMetaData

All Implemented Interfaces:
  Cloneable, Collection, org.jboss.util.JBossInterface, MetaDataVisitorNode, Set, ValueMetaData

public class AbstractSetMetaData
extends AbstractCollectionMetaData
implements Set

Set metadata.

Version:
  $Revision: 1.6 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractCollectionMetaData
`collection, elementType`

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractTypeMetaData
`configurator, type`

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`value`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractSetMetaData()` Create a new set value

Method Summary
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection c)`
`protected Object` | `getDefaultCollectionInstance()` Create the default collection instance
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractCollectionMetaData
`clear, contains, containsAll, getChildren, getCollectionInstance, getElementClassInfo, getElementType, getValue, isEmpty, iterator, remove, removeAll, retainAll, setElementType, size, toArray, toArray`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractTypeMetaData
`getClassInfo, getType, setConfigurator, setType, visit`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`getUnderlyingValue, getValue, setValue, toShortString`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Constructor Detail

### AbstractSetMetaData

    public AbstractSetMetaData()

  Create a new set value

Method Detail

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Set`
  Overrides:
    `add` in class `AbstractCollectionMetaData`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Set`
  Overrides:
    `addAll` in class `AbstractCollectionMetaData`

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractCollectionMetaData`

### getDefaultCollectionInstance

    protected Object getDefaultCollectionInstance()
                                           throws Throwable

  Description copied from class: `AbstractCollectionMetaData`
  Create the default collection instance

  Overrides:
    `getDefaultCollectionInstance` in class `AbstractCollectionMetaData`
  Returns:
    the class instance
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.